OGRE: Ogre::DriverVersion Struct Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::DriverVersion Struct Reference
Core » RenderSystem

DriverVersion is used by RenderSystemCapabilities and both GL and D3D9 to store the version of the current GPU driver. More...

`#include <OgreRenderSystemCapabilities.h>`

## Public Member Functions
| DriverVersion ()
void | fromString (const String &versionString)
bool | hasMinVersion (int minMajor, int minMinor) const
String | toString () const

## Public Attributes
int | build
int | major
int | minor
int | release

## Detailed Description

DriverVersion is used by RenderSystemCapabilities and both GL and D3D9 to store the version of the current GPU driver.

## Constructor & Destructor Documentation

## ◆ DriverVersion()

Ogre::DriverVersion::DriverVersion | ( |  | ) |
| inline

## Member Function Documentation

## ◆ fromString()

void Ogre::DriverVersion::fromString | ( | const String & | versionString | ) |

Referenced by Ogre::RenderSystemCapabilities::parseDriverVersionFromString().

## ◆ hasMinVersion()

bool Ogre::DriverVersion::hasMinVersion | ( | int | minMajor,
|  | int | minMinor
| ) |  | const
| inline

## ◆ toString()

String Ogre::DriverVersion::toString | ( |  | ) | const
| inline

References Ogre::LwString::a(), Ogre::LwConstString::c_str(), and Ogre::LwString::FromEmptyPointer().

## Member Data Documentation

## ◆ build

int Ogre::DriverVersion::build

Referenced by Ogre::RenderSystemCapabilities::isDriverOlderThanVersion().

## ◆ major

int Ogre::DriverVersion::major

Referenced by Ogre::RenderSystemCapabilities::isDriverOlderThanVersion().

## ◆ minor

int Ogre::DriverVersion::minor

Referenced by Ogre::RenderSystemCapabilities::isDriverOlderThanVersion().

## ◆ release

int Ogre::DriverVersion::release

Referenced by Ogre::RenderSystemCapabilities::isDriverOlderThanVersion().

The documentation for this struct was generated from the following file:

- OgreRenderSystemCapabilities.h